﻿using System;
using System.Linq;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random randOm = new Random(0);

            int pointCount = 10000;

            double[] xValueArray     = Enumerable.Range(0, pointCount)
                .Select(x => (double)x)
                .Select(x => x > 3000 ? x + 10000 : x)
                .Select(x => x > 7000 ? x + 20000 : x)
                .ToArray();

            double[] sineValueArray  = DataGen.Sin(pointCount, 3);
            double[] noiseValueArray = DataGen.RandomNormal(randOm, pointCount, 0, 0.5);
            double[] yValueArray     = sineValueArray.Zip(noiseValueArray, (s, n) => s + n).ToArray();

            plot.AddSignalXY(xValueArray, yValueArray);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}